Package org.jsoup.parser

# Class ParseErrorList

java.lang.Object
java.util.AbstractCollection<ParseError>
java.util.AbstractList<ParseError>
java.util.ArrayList<ParseError>
org.jsoup.parser.ParseErrorList

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<ParseError>`, `Collection<ParseError>`, `List<ParseError>`, `RandomAccess`, `SequencedCollection<ParseError>`

public class ParseErrorList extends ArrayList<ParseError>
A container for ParseErrors.

Author:
  Jonathan Hedley
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
`static ParseErrorList`
`noTracking()`
`static ParseErrorList`
`tracking(int maxSize)`

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, addFirst, addLast, clear, contains, ensureCapacity, equals, forEach, get, getFirst, getLast, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeFirst, removeIf, removeLast, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, stream, toArray`

### Methods inherited from interface java.util.List

`containsAll, reversed`

## Method Details

### noTracking

public static ParseErrorList noTracking()

### tracking

public static ParseErrorList tracking(int maxSize)

### clone

public Object clone()

Overrides:
  `clone` in class `ArrayList<ParseError>`